<?php
/**
 * Admin extras
 *
 * Code that adds items like logos, forum links and anything admin located
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

// Exit if accessed directly
if ( !defined('ABSPATH')) {exit;
}

/**
 * Add admin styles
 */
function cyberchimps_admin_styles() {
    wp_enqueue_style( 'cyberchimps_admin_stylesheet', get_template_directory_uri() . '/css/admin.css' );
}
add_action( 'admin_enqueue_scripts', 'cyberchimps_admin_styles' );

/**
 * Add text to admin footer
 */
function cyberchimps_admin_footer_text () {
	$cyberchimps = sprintf( __( 'This theme is bought to you by %1$s. For help please visit %2$s', 'altitude' ),
							'<a href="http://cyberchimps.com" title="CyberChimps" target="_blank">CyberChimps</a>',
							'<a href="http://cyberchimps.com/forum/" title="CyberChimps Help" target="_blank">' . __( 'the CyberChimps Pro forum', 'altitude' ) . '</a>' );
	echo '<div id="cyberchimps_admin_footer"><span class="cyberchimps-logo"></span>' . $cyberchimps . '</div>';
}
add_filter( 'admin_footer_text', 'cyberchimps_admin_footer_text' );