<?php
/**
 * Template Name: Blog
 *
 * Please do not edit this file. This file is part of the CyberChimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

get_header(); ?>

	<section id="primary" class="content-area container">
		<main id="main" class="site-main" role="main">

			<?php query_posts('post_status=publish&paged='. get_query_var('paged')); ?>

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="page-title"><?php _e('Blog', 'altitude')?></h1>
					<hr class="s-divider" />
				</header><!-- .page-header -->

				<?php while ( have_posts() ) : the_post(); ?>

					<?php get_template_part( 'content', get_post_format() ); ?>

					<hr class="s-divider" />

				<?php endwhile; ?>

				<footer class="page-footer">
					<?php altitude_content_nav( 'nav-below' ); ?>
				</footer>

			<?php else : ?>

				<?php get_template_part( 'no-results', 'index' ); ?>

			<?php endif; wp_reset_query(); ?>

		</main><!-- #main -->
	</section><!-- #primary -->

<?php get_footer(); ?>